Assign incident
curl --request PUT \
--url https://api.example.com/api/v2/workspaces/{workspaceId}/incidents/{source}/{incidentId}/assignee \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"email": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/workspaces/{workspaceId}/incidents/{source}/{incidentId}/assignee"
payload = {
"userId": "<string>",
"email": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', email: '<string>'})
};
fetch('https://api.example.com/api/v2/workspaces/{workspaceId}/incidents/{source}/{incidentId}/assignee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}Incidents
Assign incident
PUT
/
api
/
v2
/
workspaces
/
{workspaceId}
/
incidents
/
{source}
/
{incidentId}
/
assignee
Assign incident
Path Parameters
Available options:
Sentinel, DefenderXDR, QRadar, Splunk, CrowdStrike, SentinelOne Body
application/json
Response
No Content
⌘I